QCAT - User Story #1897

API endpoints to add new cases
27 Sep 2019 14:58 - Kurt Gerber

Status: Closed Start date: 14 Dec 2018
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Extend API to add cases Spent time: 0.00 hour
Resolution:

Description

¢ An authentication is needed.
¢ Endpoint to add a case
¢ Endpoint to upload files (images/pdfs)

Specification:Web_Services_Definition

Subtasks:

Task # 1837: API: Possibility to authenticate through the API Closed
Task # 1892: API endpoint to create new case Closed
Task # 1893: API image/file upload Closed
Bug # 1905: Review: Upating a published technology doesn't work Closed
Bug # 1909: Updating Questionnaire: Only adding image is not working Closed
Bug # 1910: API Authentication: First successfull authentication answers with outdated ... Closed
History

#1 - 27 Sep 2019 15:00 - Kurt Gerber

- Status changed from New to Accepted

#2 - 06 Aug 2020 14:37 - Kurt Gerber

Concerning the documentation:
Please indicate clrearly, that, of a questionnaire downloaded through the specific APl endpoint, only the part, after/inside the "data:" key can be used
to be uploaded. It would probably also help to illustrate that with some example JSON code.

#3 - 09 Apr 2021 14:24 - Kurt Gerber

- Status changed from Accepted to Closed
http://redmine.cde.unibe.ch/projects/qcat/wiki/Web_Services_Definition#Requirements-for-services-to-add-update-cases
http://www.tcpdf.org

